%define upstream_name    Dist-Zilla
%define upstream_version 4.102340

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Something that provides a version number for the dist
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/%{upstream_name}-%{upstream_version}.tar.gz

Buildrequires: perl(App::Cmd)
Buildrequires: perl(Archive::Tar)
Buildrequires: perl(CPAN::Meta::Converter)
Buildrequires: perl(CPAN::Meta::Prereqs)
Buildrequires: perl(CPAN::Meta::Validator)
Buildrequires: perl(CPAN::Uploader)
Buildrequires: perl(Config::MVP::Reader::INI) >= 2.0.0
Buildrequires: perl(Data::Section)
Buildrequires: perl(DateTime)
Buildrequires: perl-ExtUtils-Manifest
Buildrequires: perl(File::Copy::Recursive)
Buildrequires: perl(File::Find::Rule)
Buildrequires: perl(File::HomeDir)
Buildrequires: perl(File::ShareDir)
Buildrequires: perl(File::ShareDir::Install)
Buildrequires: perl(File::chdir)
Buildrequires: perl(File::pushd)
Buildrequires: perl(Hash::Merge::Simple)
Buildrequires: perl(IO::TieCombine)
Buildrequires: perl(List::MoreUtils)
Buildrequires: perl(Log::Dispatchouli)
Buildrequires: perl(Mixin::ExtraFields::Param)
Buildrequires: perl(Moose)
Buildrequires: perl(Moose::Autobox)
Buildrequires: perl(MooseX::LazyRequire)
Buildrequires: perl(MooseX::Role::Parameterized)
Buildrequires: perl(MooseX::SetOnce)
Buildrequires: perl(MooseX::Singleton)
Buildrequires: perl(MooseX::Types::Path::Class)
Buildrequires: perl(MooseX::Types::Perl)
Buildrequires: perl(PPI)
Buildrequires: perl(Path::Class)
Buildrequires: perl(Perl::PrereqScanner)
Buildrequires: perl(Perl::Version)
Buildrequires: perl(Pod::Eventual)
Buildrequires: perl(Software::License)
Buildrequires: perl(String::Flogger)
Buildrequires: perl(String::Format)
Buildrequires: perl(String::Formatter)
Buildrequires: perl(String::RewritePrefix)
Buildrequires: perl(Term::ReadKey)
Buildrequires: perl(Test::Deep)
Buildrequires: perl(Text::Template)
Buildrequires: perl(Version::Requirements)
Buildrequires: perl(YAML::Tiny)
Buildrequires: perl(autobox)
Buildrequires: perl(namespace::autoclean)
Buildrequires: perl(version) >= 1:0.790.0

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

Requires: perl(version) >= 1:0.790.0

Obsoletes: perl-Dist-Zilla-Plugin-AutoPrereq

Suggests: perl(Task::Dist::Zilla)


%description
Dist::Zilla builds distributions of code to be uploaded to the CPAN. In
this respect, it is like the ExtUtils::MakeMaker manpage, the Module::Build
manpage, or the Module::Install manpage. Unlike those tools, however, it is
not also a system for installing code that has been downloaded from the
CPAN. Since it's only run by authors, and is meant to be run on a
repository checkout rather than on published, released code, it can do much
more than those tools, and is free to make much more ludicrous demands in
terms of prerequisites.

For more information, see the Dist::Zilla::Tutorial manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std
install -d %{buildroot}/etc/bash_completion.d/
install -m 644 misc/dzil-bash_completion %{buildroot}/etc/bash_completion.d/dzil

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE README META.yml
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/dzil
/etc/bash_completion.d/dzil


%changelog
* Thu Sep 02 2010 Jérôme Quelin <jquelin@mandriva.org> 4.102.340-3mdv2011.0
+ Revision: 575233
- bump mkrel
- use Task::Dist::Zilla instead of suggesting plugins one by one

* Fri Aug 27 2010 Jérôme Quelin <jquelin@mandriva.org> 4.102.340-2mdv2011.0
+ Revision: 573473
- adding some suggests:

* Tue Aug 24 2010 Jérôme Quelin <jquelin@mandriva.org> 4.102.340-1mdv2011.0
+ Revision: 572702
- update to 4.102340

* Mon Aug 16 2010 Jérôme Quelin <jquelin@mandriva.org> 4.102.221-1mdv2011.0
+ Revision: 570554
- update to 4.102221

* Thu Jul 15 2010 Jérôme Quelin <jquelin@mandriva.org> 4.101.900-1mdv2011.0
+ Revision: 553505
- adding missing buildrequires
- update to 4.101900

* Mon Apr 26 2010 Jérôme Quelin <jquelin@mandriva.org> 2.101.151-1mdv2010.1
+ Revision: 539083
- update to 2.101151

* Sun Apr 18 2010 Jérôme Quelin <jquelin@mandriva.org> 2.101.40-1mdv2010.1
+ Revision: 536135
- update to 2.101040
- more suggests:

* Fri Apr 09 2010 Jérôme Quelin <jquelin@mandriva.org> 2.100.960-2mdv2010.1
+ Revision: 533483
- update suggest list

* Wed Apr 07 2010 Jérôme Quelin <jquelin@mandriva.org> 2.100.960-1mdv2010.1
+ Revision: 532721
- adding missing buildrequires:
- update to 2.100960

* Tue Apr 06 2010 Jérôme Quelin <jquelin@mandriva.org> 2.100.922-1mdv2010.1
+ Revision: 532143
- update to 2.100922

* Wed Mar 31 2010 Jérôme Quelin <jquelin@mandriva.org> 2.100.880-2mdv2010.1
+ Revision: 530467
- adding some suggests:

* Tue Mar 30 2010 Jérôme Quelin <jquelin@mandriva.org> 2.100.880-1mdv2010.1
+ Revision: 529819
- adding missin buildrequires:
- obsoleting autoprereq plugin, now core
- update to 2.100880

* Mon Mar 29 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.711-2mdv2010.1
+ Revision: 528829
- adding some suggests:

* Sun Mar 14 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.711-1mdv2010.1
+ Revision: 518981
- adding missing buildrequires:
- adding missing buildrequires:
- update to 1.100711

* Wed Mar 10 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.660-3mdv2010.1
+ Revision: 517503
- adding some suggests:

* Tue Mar 09 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.660-2mdv2010.1
+ Revision: 517122
- adding manual requires:

* Sun Mar 07 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.660-1mdv2010.1
+ Revision: 515496
- update to 1.100660

* Sun Mar 07 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.651-1mdv2010.1
+ Revision: 515432
- adding epoch in buildrequires: version
- adding missing buildrequires:
- update to 1.100651
- adding missing buildrequires:
- adding missing buildrequires:
- update to 1.100630

* Tue Mar 02 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.600-1mdv2010.1
+ Revision: 513474
- update to 1.100600

* Tue Feb 23 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.520-1mdv2010.1
+ Revision: 510075
- update to 1.100520

* Mon Jan 18 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.160-1mdv2010.1
+ Revision: 492951
- update to 1.100160

* Wed Jan 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.130-1mdv2010.1
+ Revision: 490680
- update to 1.100130
- adding a suggests

* Wed Jan 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.120-1mdv2010.1
+ Revision: 490484
- update to 1.100120

* Mon Jan 11 2010 Jérôme Quelin <jquelin@mandriva.org> 1.93.400-4mdv2010.1
+ Revision: 489761
- bump mkrel
- adding some suggests:

* Sun Jan 10 2010 Jérôme Quelin <jquelin@mandriva.org> 1.93.400-3mdv2010.1
+ Revision: 488593
- bump mkrel
- adding some suggests:

* Thu Jan 07 2010 Jérôme Quelin <jquelin@mandriva.org> 1.93.400-2mdv2010.1
+ Revision: 487196
- bump mkrel
- adding some suggests

* Tue Dec 08 2009 Jérôme Quelin <jquelin@mandriva.org> 1.93.400-1mdv2010.1
+ Revision: 474743
- update to 1.093400

* Sat Dec 05 2009 Jérôme Quelin <jquelin@mandriva.org> 1.93.371-1mdv2010.1
+ Revision: 473763
- adding missing buildrequires:
- update to 1.093371

* Sun Nov 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.93.290-1mdv2010.1
+ Revision: 471062
- adding missing buildrequires:
- update to 1.093290

* Sun Nov 22 2009 Jérôme Quelin <jquelin@mandriva.org> 1.93.250-2mdv2010.1
+ Revision: 468667
- adding missing requires:

* Sun Nov 22 2009 Jérôme Quelin <jquelin@mandriva.org> 1.93.250-1mdv2010.1
+ Revision: 468660
- update to 1.093250

* Thu Nov 19 2009 Jérôme Quelin <jquelin@mandriva.org> 1.93.220-1mdv2010.1
+ Revision: 467357
- update to 1.093220

* Wed Nov 11 2009 Jérôme Quelin <jquelin@mandriva.org> 1.93.140-1mdv2010.1
+ Revision: 464604
- update to 1.093140

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 1.93.0-1mdv2010.1
+ Revision: 461718
- update to 1.093000

* Sun Sep 27 2009 Jérôme Quelin <jquelin@mandriva.org> 1.92.680-1mdv2010.0
+ Revision: 449993
- update to 1.092680

* Mon Sep 07 2009 Jérôme Quelin <jquelin@mandriva.org> 1.92.450-1mdv2010.0
+ Revision: 432804
- update to 1.092450

* Mon Aug 31 2009 Jérôme Quelin <jquelin@mandriva.org> 1.92.400-1mdv2010.0
+ Revision: 422885
- update to 1.092400

* Fri Aug 28 2009 Jérôme Quelin <jquelin@mandriva.org> 1.92.390-1mdv2010.0
+ Revision: 421821
- update to 1.092390

* Tue Aug 25 2009 Jérôme Quelin <jquelin@mandriva.org> 1.92.360-1mdv2010.0
+ Revision: 421132
- update to 1.092360

* Wed Aug 19 2009 Jérôme Quelin <jquelin@mandriva.org> 1.92.310-1mdv2010.0
+ Revision: 418104
- update to 1.092310

* Sun Aug 09 2009 Jérôme Quelin <jquelin@mandriva.org> 1.92.200-2mdv2010.0
+ Revision: 411939
- installing dzil bash completion

* Sat Aug 08 2009 Jérôme Quelin <jquelin@mandriva.org> 1.92.200-1mdv2010.0
+ Revision: 411744
- update to 1.092200

* Mon Jul 27 2009 Jérôme Quelin <jquelin@mandriva.org> 1.92.71-4mdv2010.0
+ Revision: 400545
- update to 1.092071

* Sun Jul 26 2009 Jérôme Quelin <jquelin@mandriva.org> 1.92.70-4mdv2010.0
+ Revision: 400204
- update to 1.092070

* Wed Jul 15 2009 Jérôme Quelin <jquelin@mandriva.org> 1.91.940-4mdv2010.0
+ Revision: 396403
- update to 1.91940

* Tue Jun 30 2009 Jérôme Quelin <jquelin@mandriva.org> 1.91.610-4mdv2010.0
+ Revision: 390914
- adding another missing requires:

* Tue Jun 30 2009 Jérôme Quelin <jquelin@mandriva.org> 1.91.610-3mdv2010.0
+ Revision: 390885
- adding missing requires:

* Mon Jun 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.91.610-2mdv2010.0
+ Revision: 390721
- forgot to bump %%mkrel
- adding missing requires:

* Fri Jun 19 2009 Jérôme Quelin <jquelin@mandriva.org> 1.91.610-1mdv2010.0
+ Revision: 387277
- update to new version 1.091610
- replacing source url, since top-level dist is not created on cpan

* Sat Jun 06 2009 Jérôme Quelin <jquelin@mandriva.org> 1.91.480-1mdv2010.0
+ Revision: 383346
- updating buildrequires:
- updating buildrequires:
- adding missing buildrequires:
- import perl-Dist-Zilla


* Fri May 29 2009 cpan2dist 1.091480-1mdv
- initial mdv release, generated with cpan2dist

